Bug Hunting Session
Bug 63029 - Slide comments are lost when importing a slide into a different presentation
Summary: Slide comments are lost when importing a slide into a different presentation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: high major
Assignee: Paul Trojahn
URL:
Whiteboard: target:6.3.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2013-04-02 14:14 UTC by Sean Carlos
Modified: 2018-12-09 12:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Carlos 2013-04-02 14:14:54 UTC
If a slide is imported into a presentation from another presentation, any comments attached to the slide are NOT imported.  I verified this behaviour using the menu "Insert > File" option as well as simply dragging a slide from one presentation to another.  In both cases, a comment attached to the imported slide was lost.

Verified on both Linux x64 & Windows.

The severity is debatable as many may not care about comments, yet this behaviour does represent a subtle data loss which might not be immediately noticed.  Keep in mind that AFAIK importing slides from one presentation to another is currently the only way to change the underlying slide template, so this problem can impact entire presentations should a user need to change the presentation template.
Comment 1 Joel Madero 2013-04-08 15:51:20 UTC
Version 3.6.5.2 – Confirmed Bug


Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.5.2 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Major - data loss, agreed
High - default, seems appropriate


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Sean Carlos 2015-01-05 14:14:20 UTC
I've added EasyHack to this as I suspect that it wouldn't be too hard to add the Comment data to the existing slide import routine but I'm not a C programmer so I could be wrong :-). I'll also note the issue still exists in 4.4.0 RC1
Comment 3 Joel Madero 2015-01-05 17:41:44 UTC
For an easy hack there must be code pointers on how to fix it. I very much doubt this would be easy to fix but I'll request developer input to verify that.
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:20:55 UTC Comment hidden (obsolete)
Comment 5 Muhammet Kara 2016-03-31 22:28:04 UTC
The issue still exists on master (5.2.0.0.alpha0). And I am willing to work on this if some developer provides code pointers.
Comment 6 Joel Madero 2016-04-05 14:06:22 UTC
(In reply to Muhammet Kara from comment #5)
> The issue still exists on master (5.2.0.0.alpha0). And I am willing to work
> on this if some developer provides code pointers.

Katarina or Thorsten,

Any code pointers available?
Comment 7 QA Administrators 2017-05-22 13:19:09 UTC Comment hidden (obsolete)
Comment 8 Commit Notification 2018-12-07 07:26:56 UTC
Paul Trojahn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2c8ef031af56f5e787e7984e746ffb8b65bf0a5b%5E%21

tdf#63029 Copy and paste comments with slide

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.